#ifndef MMDATA_H
#define MMDATA_H

#include "mmGlobal.h"

enum PLOT_MODE
{
  LINE_PLOT = 0,
  BAR_GRAPH,
  SEG_DISPL
};

typedef struct
{
  char   Name[100];
  byte   Mode;
  byte   Color;
  byte   Unit;
  int    len;
  float *Val;
  int    Scale;
} LINE_DATA;

typedef struct
{
  byte       Number;
  LINE_DATA *Line[256];
  byte       actual;
} PLOT_DATA;


PLOT_DATA  *MM_InitData     (void);
int         MM_AddData      (PLOT_DATA *Data, char *Name, int Color, int Mode);
dual        MM_AddValue     (PLOT_DATA *Data, int Number, float Val);
void        MM_FreeData     (PLOT_DATA *Data);


#endif

